=head1 NAME

Gtk2::Gdk::Event::Scroll

=for position post_hierarchy

=head1 HIERARCHY

  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::Scroll

=cut




=head1 METHODS

=head2 device or undef = $eventscroll-E<gt>B<device> ($newvalue=undef)

=over

=over

=item * $newvalue (Gtk2::Gdk::Device or undef) 

=back

=back

=head2 scrolldirection = $eventscroll-E<gt>B<direction> ($newvalue=0)

=over

=over

=item * $newvalue (Gtk2::Gdk::ScrollDirection) 

=back

=back

=head2 double = $event-E<gt>B<x> ($newvalue=0.0)

=over

=over

=item * $newvalue (double) 

=back

=back

=head2 double = $event-E<gt>B<y> ($newvalue=0.0)

=over

=over

=item * $newvalue (double) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Gdk::ScrollDirection

=over

=item * 'up' / 'GDK_SCROLL_UP'

=item * 'down' / 'GDK_SCROLL_DOWN'

=item * 'left' / 'GDK_SCROLL_LEFT'

=item * 'right' / 'GDK_SCROLL_RIGHT'

=back



=head1 SEE ALSO

L<Gtk2>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

